Class UmlBaseDiagram

Mother class of all the classes managing the diagrams

Declaration :

- C++ : class UmlBaseDiagram : public UmlItem
- Java : abstract class UmlBaseDiagram extends UmlItem

Directly inherited by : UmlDiagram

Artifact : UmlBaseDiagram

Operation saveIn

saves the diagram picture in the file whose pathname is given
in argument, the produced file is a PNG file.
The aspect of the diagram is :
- its visible part in case it is open
- the aspect specified by its prefered size and scale in case
these last are specified (see menu on a diagram view)
- else the default diagram aspect, which is probably not as you want
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + saveIn(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool saveIn(const QCString & s) const
- Java : public void saveIn(String s) throws RuntimeException

Operation UmlBaseDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseDiagram(in id : item_id, in n : string) :
- C++ : protected: UmlBaseDiagram(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseDiagram(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload